-- control.lua
-- Apr 2017

function CreateTagGui(event)
  local player = game.players[event.player_index]
  if player.gui.top.tag == nil then
  	  player.gui.top.add{name="tag", type="button", caption="Tag"}
  end   
end

-- Tag list
local roles = {
  {display_name = "(Push)"},
  {display_name = "(Defend)"},
  {display_name = "(Build)"},
  {display_name = "(Optimize)"},
  {display_name = "(Help)"},  
  {display_name = "(Repair)"},
  {display_name = "(Clean)"},
  {display_name = "(Spectator)"},
  {display_name = "(AFK)"},
  {display_name = "Clear"}}

local function ExpandTagGui(player)
    local frame = player.gui.left["tag-panel"]
    if (frame) then
        frame.destroy()
    else
        local frame = player.gui.left.add{type="frame", name="tag-panel", caption="What are you doing:"}
    		for _, role in pairs(roles) do
    			frame.add{type="button", caption=role.display_name, name=role.display_name}
 			end
    end
end

function TagGuiClick(event) 
    if not (event and event.element and event.element.valid) then return end
    local player = game.players[event.element.player_index]
    local name = event.element.name

		if (name == "tag") then
			ExpandTagGui(player)		
		end
		
		if (name == "Clear") then 
			player.tag = ""
			return
		end
    
		for _, role in pairs(roles) do
			if (name == role.display_name) then
				player.tag = role.display_name
      end
		end
end
